Name:           lzip
Version:        1.12
Release:        %mkrel 2
Summary:        Lossless file compressor based on the LZMA algorithm
Group:          Archiving/Compression
License:        GPLv3+
URL:            http://www.nongnu.org/lzip/lzip.html
Source0:        http://nongnu.askapache.com/lzip/%{name}-%{version}.tar.gz

%description
Lzip is a lossless file compressor based on the LZMA (Lempel-Ziv-Markov
chain-Algorithm) algorithm. The high compression of LZMA comes from
combining two basic, well-proven compression ideas: sliding dictionaries
(i.e. LZ77/78), and markov models (i.e. the thing used by every
compression algorithm that uses a range encoder or similar order-0
entropy coder as its last stage) with segregation of contexts according
to what the bits are used for.

Lzip is not a replacement for gzip or bzip2, but a complement; which
one is best to use depends on user's needs. Gzip is the fastest and most
widely used. Bzip2 compresses better than gzip but is slower, both
compressing and decompressing. Lzip decompresses almost as fast as gzip
and compresses better than bzip2, but requires more memory and time
during compression. These features make lzip well suited for software
distribution and data archival.


%prep
%setup -q

%build
%configure2_5x CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make

%install
%makeinstall_std

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*




%changelog

* Wed Feb 22 2012 kamil <kamil> 1.12-2.mga2
+ Revision: 211797
- adapt .spec for Mageia
- imported package lzip

